<template>
  <v-tooltip top>
    <template v-slot:activator="{ on, attrs }">
      <v-btn
        :icon="icon"
        v-bind="attrs"
        v-on="on"
      >
        <v-icon
          v-if="icon"
          v-text="icon"
        />

        <span
          v-else
          v-text="text"
        ></span>
      </v-btn>
    </template>
    <span>Reset</span>
  </v-tooltip>
</template>

<script>
export default {
  props: {
    title: {
      type: String,
      required: true,
      default: ''
    },

    icon: {
      type: String,
      default: ''
    },

    text: {
      type: String,
      default: ''
    }
  }
}
</script>

<style lang="scss" scoped>

</style>
